<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: inc/exceptions.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">exceptions.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="exceptions_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**********************************************************************************</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2021 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * This program and the accompanying materials are made available under the</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> **********************************************************************************/</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;exception&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>decoop {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classdecoop_1_1_bad_cut_exception.html">   26</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdecoop_1_1_bad_cut_exception.html">BadCutException</a> : <span class="keyword">public</span> std::runtime_error {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classdecoop_1_1_bad_cut_exception.html#a779431c1655f9ce136fd58b1d267f46d">   32</a></span>&#160;        <span class="keyword">explicit</span> <a class="code" href="classdecoop_1_1_bad_cut_exception.html#a779431c1655f9ce136fd58b1d267f46d">BadCutException</a>(<span class="keyword">const</span> std::string&amp; msg) : std::runtime_error(<span class="stringliteral">&quot;BadCutException: &quot;</span> + msg) {}</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    };</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classdecoop_1_1_irrelevant_cut_exception.html">   38</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdecoop_1_1_irrelevant_cut_exception.html">IrrelevantCutException</a> : <span class="keyword">public</span> std::runtime_error {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classdecoop_1_1_irrelevant_cut_exception.html#afab10564dfd442b8ec228b35e4a487c0">   44</a></span>&#160;        <span class="keyword">explicit</span> <a class="code" href="classdecoop_1_1_irrelevant_cut_exception.html#afab10564dfd442b8ec228b35e4a487c0">IrrelevantCutException</a>(<span class="keyword">const</span> std::string&amp; msg) : std::runtime_error(<span class="stringliteral">&quot;IrrelevantCutException: &quot;</span> + msg) {}</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    };</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classdecoop_1_1_negative_optimality_gap_exception.html">   50</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdecoop_1_1_negative_optimality_gap_exception.html">NegativeOptimalityGapException</a> : <span class="keyword">public</span> std::runtime_error {</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classdecoop_1_1_negative_optimality_gap_exception.html#ac7204e2f72d4b4fb7db381d9bf4ee012">   56</a></span>&#160;        <span class="keyword">explicit</span> <a class="code" href="classdecoop_1_1_negative_optimality_gap_exception.html#ac7204e2f72d4b4fb7db381d9bf4ee012">NegativeOptimalityGapException</a>(<span class="keyword">const</span> std::string&amp; msg) : std::runtime_error(<span class="stringliteral">&quot;NegativeOptimalityGapException: &quot;</span> + msg) {}</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    };</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classdecoop_1_1_wrong_optimality_gap_exception.html">   62</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdecoop_1_1_wrong_optimality_gap_exception.html">WrongOptimalityGapException</a> : <span class="keyword">public</span> std::runtime_error {</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classdecoop_1_1_wrong_optimality_gap_exception.html#ac62902e004eaaba10e4ab91d5375e3c6">   68</a></span>&#160;        <span class="keyword">explicit</span> <a class="code" href="classdecoop_1_1_wrong_optimality_gap_exception.html#ac62902e004eaaba10e4ab91d5375e3c6">WrongOptimalityGapException</a>(<span class="keyword">const</span> std::string&amp; msg) : std::runtime_error(<span class="stringliteral">&quot;WrongOptimalityGapException: &quot;</span> + msg) {}</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    };</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;} <span class="comment">//namespace decoop</span></div>
<div class="ttc" id="classdecoop_1_1_negative_optimality_gap_exception_html"><div class="ttname"><a href="classdecoop_1_1_negative_optimality_gap_exception.html">decoop::NegativeOptimalityGapException</a></div><div class="ttdoc">Exception class for negative optimality gaps. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:50</div></div>
<div class="ttc" id="classdecoop_1_1_bad_cut_exception_html"><div class="ttname"><a href="classdecoop_1_1_bad_cut_exception.html">decoop::BadCutException</a></div><div class="ttdoc">Exception class for incorrect cuts. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:26</div></div>
<div class="ttc" id="classdecoop_1_1_wrong_optimality_gap_exception_html_ac62902e004eaaba10e4ab91d5375e3c6"><div class="ttname"><a href="classdecoop_1_1_wrong_optimality_gap_exception.html#ac62902e004eaaba10e4ab91d5375e3c6">decoop::WrongOptimalityGapException::WrongOptimalityGapException</a></div><div class="ttdeci">WrongOptimalityGapException(const std::string &amp;msg)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:68</div></div>
<div class="ttc" id="classdecoop_1_1_irrelevant_cut_exception_html"><div class="ttname"><a href="classdecoop_1_1_irrelevant_cut_exception.html">decoop::IrrelevantCutException</a></div><div class="ttdoc">Execption class for irrelevant cuts. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:38</div></div>
<div class="ttc" id="classdecoop_1_1_wrong_optimality_gap_exception_html"><div class="ttname"><a href="classdecoop_1_1_wrong_optimality_gap_exception.html">decoop::WrongOptimalityGapException</a></div><div class="ttdoc">Exception class for non-plausible optimality gaps. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:62</div></div>
<div class="ttc" id="classdecoop_1_1_negative_optimality_gap_exception_html_ac7204e2f72d4b4fb7db381d9bf4ee012"><div class="ttname"><a href="classdecoop_1_1_negative_optimality_gap_exception.html#ac7204e2f72d4b4fb7db381d9bf4ee012">decoop::NegativeOptimalityGapException::NegativeOptimalityGapException</a></div><div class="ttdeci">NegativeOptimalityGapException(const std::string &amp;msg)</div><div class="ttdoc">Constructor. param msg Exception message. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:56</div></div>
<div class="ttc" id="classdecoop_1_1_bad_cut_exception_html_a779431c1655f9ce136fd58b1d267f46d"><div class="ttname"><a href="classdecoop_1_1_bad_cut_exception.html#a779431c1655f9ce136fd58b1d267f46d">decoop::BadCutException::BadCutException</a></div><div class="ttdeci">BadCutException(const std::string &amp;msg)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:32</div></div>
<div class="ttc" id="classdecoop_1_1_irrelevant_cut_exception_html_afab10564dfd442b8ec228b35e4a487c0"><div class="ttname"><a href="classdecoop_1_1_irrelevant_cut_exception.html#afab10564dfd442b8ec228b35e4a487c0">decoop::IrrelevantCutException::IrrelevantCutException</a></div><div class="ttdeci">IrrelevantCutException(const std::string &amp;msg)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> exceptions.hpp:44</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
